jQuery(document).ready(function () {
	let tableCheckboxes = document.querySelector('#the-list input');
	if (tableCheckboxes) {
		document.querySelectorAll('#the-list input').forEach(element => element.addEventListener('click', event => {
			if (event.target.checked) {
				document.querySelector('.bi-dash').style.display = "block";

				let allInputsChecked = false;
				document.querySelectorAll('#the-list input').forEach(element => {
					if (!allInputsChecked && !element.checked) {
						allInputsChecked = true;
					}
				})
				if (!allInputsChecked) {
					document.querySelector('.bi-dash').style.display = "none";
				}
			} else {
				let allInputsUnchecked = true;
				document.querySelectorAll('#the-list input').forEach(element => {
					if (element.checked && allInputsUnchecked) {
						allInputsUnchecked = false;
					}
				})
				if (allInputsUnchecked) {
					document.querySelector('.bi-dash').style.display = "none";
				} else {
					document.querySelector('.bi-dash').style.display = "block";
				}
			}
		}))

		document.querySelector('#custom-select-all').addEventListener('click', event => {
			let allInputsUnchecked = true;
			document.querySelectorAll('#the-list input').forEach(element => {
				if (element.checked && allInputsUnchecked) {
					allInputsUnchecked = false;
				}
			})

			if (allInputsUnchecked) {
				document.querySelectorAll('#the-list input').forEach(element => {
					element.checked = true;
				})

			} else {
				document.querySelectorAll('#the-list input').forEach(element => {
					element.checked = false;
				})
				document.querySelector('.bi-dash').style.display = "none";
				event.target.checked = false;
			}
		})
	}

	if (document.querySelector('.stpd-type-selection')) {
		document.querySelectorAll('.stpd-type-selection .single-d-input').forEach(element => {
			if (element.checked){
				if(element.value ==="codes") {
					jQuery(".setupad-content").show();
					jQuery(".setupad-image").hide();
				} else if(element.value ==="images") {
					jQuery(".setupad-content").hide();
					jQuery(".setupad-image").show();
				}
			}
		})
		document.querySelectorAll('.stpd-type-selection div.single-d-div').forEach(element => element.addEventListener('click', event => {
			let position = event.currentTarget.querySelector('.single-d-input').value;

			if(position === "codes") {
				jQuery(".setupad-content").show();
				jQuery(".setupad-image").hide();
			} else if(position ==="images") {
				jQuery(".setupad-content").hide();
				jQuery(".setupad-image").show();
			}
		}))
	}

	if (document.getElementById('stpd-file-elem')) {
		let dropArea = document.getElementById('drop-area')
		;['dragenter', 'dragover', 'dragleave', 'drop'].forEach(eventName => {
			dropArea.addEventListener(eventName, preventDefaults, false)
		})

		function preventDefaults (e) {
			e.preventDefault()
			e.stopPropagation()
		}

		;['dragenter', 'dragover'].forEach(eventName => {
			dropArea.addEventListener(eventName, highlight, false)
		})

		;['dragleave', 'drop'].forEach(eventName => {
			dropArea.addEventListener(eventName, unhighlight, false)
		})

		function highlight(e) {
			dropArea.classList.add('highlight')
		}

		function unhighlight(e) {
			dropArea.classList.remove('highlight')
		}

		dropArea.addEventListener('drop', handleDrop, false)
		function handleDrop(e) {
			let dt = e.dataTransfer
			let file = dt.files
			let input = document.getElementById('stpd-file-elem');
			input.files = file;
			handleInput(input);
			e.preventDefault();
		}

		document.getElementById('stpd-file-elem').addEventListener('change', e => {
			handleInput(e.target);
		})

		function handleInput (input){
			let fileName = input.files[0].name;
			let acceptedFileTypes = [
				'image/gif',
				'image/jpeg',
				'image/png',
				'image/webp',
			];
			let fileType = input.files[0].type;

			if (fileName.length > 35) {
				fileName = fileName.substr(0, 20) + '...' + fileName.substr(fileName.length-10, fileName.length);
			}

			if (input.files[0].size < 8388608 && acceptedFileTypes.includes(fileType)) {
				document.querySelector('p.uploaded-file-name').innerHTML = fileName;
				document.querySelector('p.uploaded-file-size').innerHTML = formatBytes(input.files[0].size, 1);

				document.getElementById('stpd-upload-file').style.display = 'none';
				document.getElementById('stpd-file-uploaded').style.display = 'flex';

				function formatBytes(bytes, decimals = 2) {
					if (!+bytes) return '0 Bytes'

					const k = 1024
					const dm = decimals < 0 ? 0 : decimals
					const sizes = ['bytes', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB']

					const i = Math.floor(Math.log(bytes) / Math.log(k))

					return `${parseFloat((bytes / Math.pow(k, i)).toFixed(dm))}${sizes[i]}`
				}
			} else if (input.files[0].size > 8388608){
				input.value = '';

				document.querySelector('p.uploaded-file-name-sm').innerHTML = fileName;
				document.querySelector('.uploaded-file-data-err p').innerHTML = 'File too large (max. 8MB)';
				document.getElementById('stpd-upload-file').style.display = 'none';
				document.getElementById('stpd-file-size-format-error').style.display = 'flex';
			} else if (!acceptedFileTypes.includes(fileType)) {
				input.value = '';

				document.querySelector('p.uploaded-file-name-sm').innerHTML = fileName;
				document.querySelector('.uploaded-file-data-err p').innerHTML = 'Wrong format, please upload JPG, PNG, WEBP, GIF. (max. 8MB)';
				document.getElementById('stpd-upload-file').style.display = 'none';
				document.getElementById('stpd-file-size-format-error').style.display = 'flex';
			}
		}

		document.querySelectorAll('.delete-uploaded-file-btn').forEach(element => element.addEventListener('click', e => {
			document.getElementById('stpd-file-uploaded').style.display = 'none';
			document.getElementById('stpd-file-size-format-error').style.display = 'none';
			document.getElementById('stpd-upload-file').style.display = 'block';
		}));
	}

	if (document.querySelector('.stpd-position-select')){

		document.querySelectorAll('.stpd-position-select .single-d-input').forEach(element => {
			if (element.checked){
				let position = element.value;

				if(position === "before_paragraph") {
					toggleElements(true, '.setupad-before-paragraph', '#setupad-before-paragraph', '#setupad-before-every-paragraph');
				} else if (position === "after_paragraph") {
					toggleElements(true, '.setupad-after-paragraph', '#setupad-after-paragraph', '#setupad-after-every-paragraph');
				} else if (position === "before_image") {
					toggleElements(true, '.setupad-before-image', '#setupad-before-image', '#setupad-before-every-image');
				} else if (position === "after_image") {
					toggleElements(true, '.setupad-after-image', '#setupad-after-image', '#setupad-after-every-image');
				} else if (position === "before_excerpt") {
					toggleElements(true, '.setupad-before-excerpt', '#setupad-before-excerpt', '#setupad-before-every-excerpt');
				} else if (position === "after_excerpt") {
					toggleElements(true, '.setupad-after-excerpt', '#setupad-after-excerpt', '#setupad-after-every-excerpt');
				} else if (position === "between_comments") {
					toggleElements(true, '.setupad-between-comments', '#setupad-between-comments', '#setupad-between-every-comment');
				} else if (position === "between_posts") {
					toggleElements(true, '.setupad-between-posts', '#setupad-between-posts', '#setupad-between-every-post');
				}
			}
		})
		document.querySelectorAll('.stpd-position-select div.single-d-div').forEach(element => element.addEventListener('click', event => {
			let position = event.currentTarget.querySelector('.single-d-input').value;

			if(position === "before_paragraph") {
				toggleElements(true, '.setupad-before-paragraph', '#setupad-before-paragraph', '#setupad-before-every-paragraph');
			} else {
				toggleElements(false, '.setupad-before-paragraph', '#setupad-before-paragraph', '#setupad-before-every-paragraph');
			}

			if(position === "after_paragraph") {
				toggleElements(true, '.setupad-after-paragraph', '#setupad-after-paragraph', '#setupad-after-every-paragraph');
			} else {
				toggleElements(false, '.setupad-after-paragraph', '#setupad-after-paragraph', '#setupad-after-every-paragraph');
			}

			if(position === "before_image") {
				toggleElements(true, '.setupad-before-image', '#setupad-before-image', '#setupad-before-every-image');
			} else {
				toggleElements(false, '.setupad-before-image', '#setupad-before-image', '#setupad-before-every-image');
			}

			if(position === "after_image") {
				toggleElements(true, '.setupad-after-image', '#setupad-after-image', '#setupad-after-every-image');
			} else {
				toggleElements(false, '.setupad-after-image', '#setupad-after-image', '#setupad-after-every-image');
			}

			if(position === "before_excerpt") {
				toggleElements(true, '.setupad-before-excerpt', '#setupad-before-excerpt', '#setupad-before-every-excerpt');
			} else {
				toggleElements(false, '.setupad-before-excerpt', '#setupad-before-excerpt', '#setupad-before-every-excerpt');
			}

			if(position === "after_excerpt") {
				toggleElements(true, '.setupad-after-excerpt', '#setupad-after-excerpt', '#setupad-after-every-excerpt');
			} else {
				toggleElements(false, '.setupad-after-excerpt', '#setupad-after-excerpt', '#setupad-after-every-excerpt');
			}

			if(position === "between_comments") {
				toggleElements(true, '.setupad-between-comments', '#setupad-between-comments', '#setupad-between-every-comment');
			} else {
				toggleElements(false, '.setupad-between-comments', '#setupad-between-comments', '#setupad-between-every-comment');
			}

			if(position === "between_posts") {
				toggleElements(true, '.setupad-between-posts', '#setupad-between-posts', '#setupad-between-every-post');
			} else {
				toggleElements(false, '.setupad-between-posts', '#setupad-between-posts', '#setupad-between-every-post');
			}
		}))

		function toggleElements (show, classSelector, idSelector1, idSelector2) {
			if (show) {
				jQuery(classSelector).show();
				jQuery(idSelector1).attr('name', 'setupad_block_position');
				jQuery(idSelector2).attr('name', 'setupad_multiple_block_position')

				document.querySelectorAll(classSelector + ' th').forEach(element => element.addEventListener('click', event => {
					element.querySelector('input').checked = true;
					if (element.querySelector('input').className == 'multiple-positions') {
						document.querySelector(idSelector1).disabled = true;
						document.querySelector(idSelector2).disabled = false;
					} else {
						document.querySelector(idSelector1).disabled = false;
						document.querySelector(idSelector2).disabled = true;
					}

				}))
			} else {
				jQuery(classSelector).hide();
				jQuery(idSelector1).removeAttr('name');
				jQuery(idSelector2).removeAttr('name');
			}
		}
	}

	if (document.querySelector('.disable_sidebar_inputs')){
		let disableSidebarValues = [];
		//Appending sidebar disabling option values to the hidden input
		document.querySelectorAll('.disable_sidebar_inputs').forEach(function (element) {
			if (element.checked) {
				disableSidebarValues.push(element.value);
			}
		});
		document.querySelector('#disable_mobile_sidebar').value = disableSidebarValues;

		document.querySelectorAll('.disable_sidebar_inputs').forEach(element => element.addEventListener('click', event => {
			if (event.target.checked) {
				disableSidebarValues.push(event.target.value);
			} else {
				const index = disableSidebarValues.indexOf(event.target.value);
				if (index > -1) {
					disableSidebarValues.splice(index, 1);
				}
			}
			document.querySelector('#disable_mobile_sidebar').value = disableSidebarValues;
		}));
	}

	if (document.querySelector('.page_selection_inputs')){
		let insertionPages = [];
		//Appending sidebar disabling option values to the hidden input
		document.querySelectorAll('.page_selection_inputs').forEach(function (element) {
			if (element.checked) {
				insertionPages.push(element.value);
			}
		});
		document.querySelector('#insertion_pages').value = insertionPages;

		document.querySelectorAll('.page_selection_inputs').forEach(element => element.addEventListener('click', event => {
			if (event.target.checked) {
				insertionPages.push(event.target.value);
				event.target.parentElement.style.background = "rgba(146,146,146,.3)";
			} else {
				const index = insertionPages.indexOf(event.target.value);
				if (index > -1) {
					insertionPages.splice(index, 1);
				}
				event.target.parentElement.removeAttribute('style');
			}
			document.querySelector('#insertion_pages').value = insertionPages;
		}));

		document.querySelectorAll('.page_selection_label').forEach(element => element.addEventListener('click', event => {
			if (event.target.previousElementSibling.checked){
				event.target.previousElementSibling.checked = false;
				const index = insertionPages.indexOf(event.target.previousElementSibling.value);
				if (index > -1) {
					insertionPages.splice(index, 1);
				}
				event.target.parentElement.removeAttribute('style');
			} else {
				event.target.previousElementSibling.checked = true;
				insertionPages.push(event.target.previousElementSibling.value);
				event.target.parentElement.style.background = "rgba(146,146,146,.3)";
			}
			document.querySelector('#insertion_pages').value = insertionPages;
		}));
	}

	if (document.querySelector('.device-selection')){
		let devices = [];
		//Appending sidebar disabling option values to the hidden input
		document.querySelectorAll('.device_selection_inputs').forEach(function (element) {
			if (element.checked) {
				devices.push(element.value);
			}
		});
		document.querySelector('#device_selections').value = devices;

		document.querySelectorAll('.device_selection_inputs').forEach(element => element.addEventListener('click', event => {
			if (event.target.checked) {
				event.target.parentElement.style.background = "background: rgba(146,146,146,.3);";

				let allDevicesInput = document.querySelector('#all_device_selection');
				if (event.target != allDevicesInput && allDevicesInput.checked) {
					allDevicesInput.checked = false;
					allDevicesInput.parentElement.removeAttribute('style');
					let index = devices.indexOf(allDevicesInput.value);
					devices.splice(index, 1);
					devices.push(event.target.value);
				} else if (event.target === allDevicesInput){
					document.querySelectorAll('.device_selection_inputs').forEach(inputs => {
						inputs.checked = false;
						inputs.parentElement.removeAttribute('style');
						let index = devices.indexOf(inputs.value);
						devices.splice(index, 1);
					})
					allDevicesInput.checked = true;
					allDevicesInput.parentElement.style.background = "rgba(146,146,146,.3)";
					devices.push(allDevicesInput.value);
				} else {
					devices.push(event.target.value);
				}
			} else {
				const index = devices.indexOf(event.target.value);
				if (index > -1) {
					devices.splice(index, 1);
				}
				event.target.parentElement.removeAttribute('style');
			}
			document.querySelector('#device_selections').value = devices;
		}));

		document.querySelectorAll('.device_selection_label').forEach(element => element.addEventListener('click', event => {
			if (event.target.previousElementSibling.checked){
				event.target.previousElementSibling.checked = false;
				const index = devices.indexOf(event.target.previousElementSibling.value);
				if (index > -1) {
					devices.splice(index, 1);
				}
				event.target.parentElement.removeAttribute('style');
			} else {
				event.target.parentElement.style.background = "rgba(146,146,146,.3)";

				let allDevicesInput = document.querySelector('#all_device_selection');
				if (event.target.previousElementSibling != allDevicesInput && allDevicesInput.checked) {
					allDevicesInput.checked = false;
					allDevicesInput.parentElement.removeAttribute('style');
					let index = devices.indexOf(allDevicesInput.value);
					devices.splice(index, 1);
					event.target.previousElementSibling.checked = true;
					devices.push(event.target.previousElementSibling.value);
				} else if (event.target.previousElementSibling === allDevicesInput){
					document.querySelectorAll('.device_selection_inputs').forEach(inputs => {
						inputs.checked = false;
						inputs.parentElement.removeAttribute('style');
						let index = devices.indexOf(inputs.value);
						devices.splice(index, 1);
					})
					allDevicesInput.checked = true;
					allDevicesInput.parentElement.style.background = "rgba(146,146,146,.3)";
					devices.push(allDevicesInput.value);
				} else {
					event.target.previousElementSibling.checked = true;
					devices.push(event.target.previousElementSibling.value);
				}
			}
			document.querySelector('#device_selections').value = devices;
		}));
	}

	if (document.querySelector('.alignment-selection')){

		let customCssValue = "";
		document.querySelectorAll('.alignment-selection-list-item input').forEach(element => {
			if (element.checked && element.value){
				if (element.value == 0) {
					document.querySelector("#stpd-custom-css").style.display = "none";
				} else if (element.value == 1) {
					document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: left; display: block; clear: both;";
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = true
				} else if (element.value == 2) {
					document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: center; display: block; clear: both;";
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = true
				} else if (element.value == 3) {
					document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: right; display: block; clear: both;";
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = true
				} else{
					customCssValue = document.querySelector("#stpd-custom-css").value;
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = false
				}
			}
		})

		document.querySelectorAll('.alignment_selection_label').forEach(element => element.addEventListener('click', event => {
			if (!event.target.previousElementSibling.checked){
				document.querySelectorAll('.alignment-selection-list-item').forEach(element => {
					element.removeAttribute('style');
				})

				if (event.target.previousElementSibling.value == 0) {
					document.querySelector("#stpd-custom-css").style.display = "none";
				} else if (event.target.previousElementSibling.value == 1) {
					document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: left; display: block; clear: both;";
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = true
				} else if (event.target.previousElementSibling.value == 2) {
					document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: center; display: block; clear: both;";
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = true
				} else if (event.target.previousElementSibling.value == 3) {
					document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: right; display: block; clear: both;";
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = true
				} else {
					document.querySelector("#stpd-custom-css").value = customCssValue;
					document.querySelector("#stpd-custom-css").style.display = "block";
					document.querySelector("#stpd-custom-css").readOnly = false
				}

				event.target.previousElementSibling.checked = true;
				event.target.parentElement.style.background = "rgba(146,146,146,.3)";
			}
		}));

		document.querySelectorAll('.alignment-selection-list-item input').forEach(element => element.addEventListener('click', event => {
			document.querySelectorAll('.alignment-selection-list-item').forEach(element => {
				element.removeAttribute('style');
			})

			if (event.target.value == 0) {
				document.querySelector("#stpd-custom-css").style.display = "none";
			} else if (event.target.value == 1) {
				document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: left; display: block; clear: both;";
				document.querySelector("#stpd-custom-css").style.display = "block";
				document.querySelector("#stpd-custom-css").readOnly = true
			} else if (event.target.value == 2) {
				document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: center; display: block; clear: both;";
				document.querySelector("#stpd-custom-css").style.display = "block";
				document.querySelector("#stpd-custom-css").readOnly = true
			} else if (event.target.value == 3) {
				document.querySelector("#stpd-custom-css").value = "margin: 10px 0; text-align: right; display: block; clear: both;";
				document.querySelector("#stpd-custom-css").style.display = "block";
				document.querySelector("#stpd-custom-css").readOnly = true
			} else {
				document.querySelector("#stpd-custom-css").value = customCssValue;
				document.querySelector("#stpd-custom-css").style.display = "block";
				document.querySelector("#stpd-custom-css").readOnly = false
			}

			element.parentElement.style.background = "rgba(146,146,146,.3)";
		}));
	}

	if (document.querySelector('.single-dropdown') || document.querySelector('.multiselect-dropdown')) {
		function MultiselectDropdown(options){
			var config={
				search:true,
				placeholder:'Select category',
				txtSelected:'Categories selected',
				txtAll:'All',
				txtRemove: 'Remove',
				txtSearch:'search',
				...options
			};
			function newEl(tag,attrs){
				var e=document.createElement(tag);
				if(attrs!==undefined) Object.keys(attrs).forEach(k=>{
					if(k==='class') { Array.isArray(attrs[k]) ? attrs[k].forEach(o=>o!==''?e.classList.add(o):0) : (attrs[k]!==''?e.classList.add(attrs[k]):0)}
					else if(k==='style'){
						Object.keys(attrs[k]).forEach(ks=>{
							e.style[ks]=attrs[k][ks];
						});
					}
					else if(k==='text'){attrs[k]===''?e.innerHTML='&nbsp;':e.innerText=attrs[k]}
					else e[k]=attrs[k];
				});
				return e;
			}

			document.querySelectorAll("select[multiple]").forEach((el,k)=>{

				var div=document.querySelector('.multiselect-dropdown');
				el.style.display='none';
				el.parentNode.insertBefore(div,el.nextSibling);
				var listWrap=newEl('div',{class:'multiselect-dropdown-list-wrapper'});
				var list=newEl('div',{class:'multiselect-dropdown-list'});
				var search=newEl('input',{class:['multiselect-dropdown-search'].concat([config.searchInput?.class??'form-control']),style:{width:'100%',display:el.attributes['multiselect-search']?.value==='true'?'block':'none'},placeholder:config.txtSearch});
				listWrap.appendChild(search);
				div.appendChild(listWrap);
				listWrap.appendChild(list);

				el.loadOptions=()=>{
					list.innerHTML='';

					if(el.attributes['multiselect-select-all']?.value=='true'){
						var op=newEl('div',{class:'multiselect-dropdown-all-selector'})
						var ic=newEl('input',{type:'checkbox'});
						op.appendChild(ic);
						op.appendChild(newEl('label',{text:config.txtAll}));

						op.addEventListener('click',()=>{
							op.classList.toggle('checked');
							op.querySelector("input").checked=!op.querySelector("input").checked;

							var ch=op.querySelector("input").checked;
							list.querySelectorAll(":scope > div:not(.multiselect-dropdown-all-selector)")
								.forEach(i=>{if(i.style.display!=='none'){i.querySelector("input").checked=ch; i.optEl.selected=ch}});

							el.dispatchEvent(new Event('change'));
						});
						ic.addEventListener('click',(ev)=>{
							ic.checked=!ic.checked;
						});
						el.addEventListener('change', (ev)=>{
							let itms=Array.from(list.querySelectorAll(":scope > div:not(.multiselect-dropdown-all-selector)")).filter(e=>e.style.display!=='none')
							let existsNotSelected=itms.find(i=>!i.querySelector("input").checked);
							if(ic.checked && existsNotSelected) ic.checked=false;
							else if(ic.checked==false && existsNotSelected===undefined) ic.checked=true;
						});

						list.appendChild(op);
					}

					Array.from(el.options).map(o=>{
						var op=newEl('div',{class:o.selected?'checked':'',optEl:o})
						var ic=newEl('input',{type:'checkbox',checked:o.selected});
						op.appendChild(newEl('label',{text:o.text}));
						op.appendChild(ic);

						op.addEventListener('click',()=>{
							op.classList.toggle('checked');
							op.querySelector("input").checked=!op.querySelector("input").checked;
							op.optEl.selected=!!!op.optEl.selected;
							el.dispatchEvent(new Event('change'));
						});
						ic.addEventListener('click',(ev)=>{
							ic.checked=!ic.checked;
						});
						o.listitemEl=op;
						list.appendChild(op);
					});
					div.listEl=listWrap;

					div.refresh=()=>{
						div.querySelectorAll('span.optext, span.placeholder').forEach(t=>div.removeChild(t));
						var sels=Array.from(el.selectedOptions);
						if(sels.length>(el.attributes['multiselect-max-items']?.value??5)){
							div.appendChild(newEl('span',{class:['optext','maxselected'],text:sels.length+' '+config.txtSelected}));
						}
						else{
							sels.map(x=>{
								var c=newEl('span',{class:'optext',text:x.text, srcOption: x});
								if((el.attributes['multiselect-hide-x']?.value !== 'true'))
									c.appendChild(newEl('span',{class:'optdel',text:'🗙',title:config.txtRemove, onclick:(ev)=>{c.srcOption.listitemEl.dispatchEvent(new Event('click'));div.refresh();ev.stopPropagation();}}));

								div.appendChild(c);
							});
						}
						if(0==el.selectedOptions.length) div.appendChild(newEl('span',{class:'placeholder',text:el.attributes['placeholder']?.value??config.placeholder}));
					};
					div.refresh();
				}
				el.loadOptions();

				search.addEventListener('input',()=>{
					list.querySelectorAll(":scope div:not(.multiselect-dropdown-all-selector)").forEach(d=>{
						var txt=d.querySelector("label").innerText.toUpperCase();
						d.style.display=txt.includes(search.value.toUpperCase())?'flex':'none';
					});
				});

				div.addEventListener('click',()=>{
					div.listEl.style.display='block';
					search.focus();
					search.select();
				});

				document.addEventListener('click', function(event) {
					if (!div.contains(event.target)) {
						listWrap.style.display='none';
						div.refresh();
					}
				});
			});

			document.querySelectorAll("div[single]").forEach((el,k)=>{

				let div = el;
				let listWrap=div.querySelector('.single-dropdown-list-wrapper');

				el.loadOptions=()=>{
					el.querySelectorAll('.single-d-div').forEach(element => {
						element.addEventListener('click',()=>{
							el.querySelectorAll('.single-d-div').forEach(elem => elem.classList.remove('checked'));
							element.classList.toggle('checked');
							element.querySelector("input").checked=!element.querySelector("input").checked;
							element.querySelector("input").checked=true;
							listWrap.style.display='none';
							el.dispatchEvent(new Event('change'));
						});
					})

					div.listEl=listWrap;

					div.refresh=()=>{
						el.querySelectorAll('.single-d-input').forEach(element => {
							if (element.checked) {
								el.querySelector('.optext').innerHTML = element.previousElementSibling.innerHTML;
							}
						});
					};
					div.refresh();
				}
				el.loadOptions();

				div.addEventListener('click',()=>{
					div.listEl.style.display='block';
				});

				document.addEventListener('click', function(event) {
					if (div != event.target) {
						listWrap.style.display='none';
						div.refresh();
					}
				});
			});
		}

		MultiselectDropdown(window.MultiselectDropdownOptions);
	}

	if (document.getElementById('setupad_related_articles_ads')){
		document.getElementById('setupad_related_articles_ads').addEventListener('click', event => {
			if (event.target.checked) {
				document.getElementById('rp-ad-code-block').style.display = 'table-row';
			} else {
				document.getElementById('rp-ad-code-block').style.display = 'none';
			}
		})
	}

	if (document.querySelector('#header-script-btn')) {
		let headerBtn = document.querySelector('#header-script-btn');
		let footerBtn = document.querySelector('#footer-script-btn');

		headerBtn.addEventListener('click', () => {
			headerBtn.style.borderBottom = 'solid 2px #0497A5';
			footerBtn.style.borderBottom = 'none';
			document.querySelector('#header-scripts').style.display = 'block';
			document.querySelector('#footer-scripts').style.display = 'none';
		});

		footerBtn.addEventListener('click', () => {
			footerBtn.style.borderBottom = 'solid 2px #0497A5';
			headerBtn.style.borderBottom = 'none';
			document.querySelector('#footer-scripts').style.display = 'block';
			document.querySelector('#header-scripts').style.display = 'none';
		});
	}
});
