<?php
global $wpdb;
$table_name = $wpdb->prefix . 'setupad';

$message_create_ad_units = '';
$notice = '';

if (isset($_REQUEST['nonce']) && wp_verify_nonce($_REQUEST['nonce'], 'create-new-ad')) {
    $item = [
        'id' => sanitize_text_field($_POST['id']),
        'setupad_title' => sanitize_text_field($_POST['setupad_title']),
        'setupad_type' => sanitize_text_field($_POST['setupad_type']),
        'setupad_content_elements' => (isset($_POST['setupad_content_elements'])) ? sanitize_text_field($_POST['setupad_content_elements']) : '',
        'setupad_image_url' => (isset($_POST['setupad_image_url'])) ? sanitize_url($_POST['setupad_image_url']) : '',
        'setupad_insertion_pages' => (isset($_POST['setupad_insertion_pages'])) ? sanitize_text_field($_POST['setupad_insertion_pages']) : '',
        'setupad_position' => sanitize_text_field($_POST['setupad_position']),
        'setupad_block_position' => (isset($_POST['setupad_block_position'])) ? sanitize_text_field($_POST['setupad_block_position']) : '',
        'setupad_multiple_block_position' => (isset($_POST['setupad_multiple_block_position'])) ? sanitize_text_field($_POST['setupad_multiple_block_position']) : 0,
        'setupad_device_selection' => sanitize_text_field($_POST['setupad_device_selection']),
        'setupad_contents_alignment' => sanitize_text_field($_POST['setupad_contents_alignment']),
        'setupad_alignment_css' => (isset($_POST['setupad_alignment_css'])) ? sanitize_text_field($_POST['setupad_alignment_css']) : '',
        'setupad_lazy_loading' => (isset($_POST['setupad_lazy_loading'])) ? rest_sanitize_boolean($_POST['setupad_title']) : false
    ];
    if ($item['setupad_content_elements'] && isset($_POST['setupad_content'])) {
        $item['setupad_content'] = wp_kses(json_decode(stripcslashes($_POST['setupad_content'])), json_decode(stripcslashes($item['setupad_content_elements']), true));
        $item['setupad_content'] = html_entity_decode($item['setupad_content']);
    }

    $item_valid = setupad_validate_ad_entries($item);

    if ($item_valid === true) {
        if (isset($_REQUEST['id']) && $_REQUEST['id']==0) {
            if(isset($_FILES["setupad_image_url"]) && $_FILES["setupad_image_url"]['size'] > 0) {
                $file_name = $_FILES['setupad_image_url']['name'];
                $filetype = wp_check_filetype($file_name);
                $filename = time().'.'.$filetype['ext'];
                $upload = wp_upload_bits($filename, null, file_get_contents($_FILES["setupad_image_url"]["tmp_name"]));
                $item['setupad_image_url'] = $upload['url'];
                $item['setupad_image_file_path'] = $upload['file'];
            }
            $item['setupad_creation_date'] = date( 'Y-m-d H:i:s', current_time( 'timestamp', 0 ) );

            if ($item['setupad_position'] !== 'disabled') {
                $item['setupad_status'] = true;
            } else {
                $item['setupad_status'] = false;
            }

            $result = $wpdb->insert($table_name, $item);
            $Id = $wpdb->insert_id;
            $shortCodeData = [ 'setupad_shortcode' => "[setup_ad num=".$Id."]" ];
            $wpdb->update($table_name, $shortCodeData, array('id' => $Id));
            if ($result) {
                $message_create_ad_units = __('Ad unit was successfully created', 'setupad');
            } else {
                $notice = __('There was an error while creating ad unit', 'setupad');
            }
        } else {
            if($_FILES["setupad_image_url"]['size'] > 0) {
                if(!empty($item['setupad_image_file_path'])) {
                    wp_delete_file($item['setupad_image_file_path']);
                }
                $file_name = $_FILES['setupad_image_url']['name'];
                $filetype = wp_check_filetype($file_name);
                $filename = $file_name;
                $upload = wp_upload_bits($filename, null, file_get_contents($_FILES["setupad_image_url"]["tmp_name"]));

                $item['setupad_image_url'] = $upload['url'];
                $item['setupad_image_file_path'] = $upload['file'];

            } else {
                $lastImage = $wpdb->get_results($wpdb->prepare("SELECT setupad_image_url FROM %5s  WHERE id=%d",$table_name, $item['id']));
                $item['setupad_image_url'] = $lastImage[0]->setupad_image_url;
            }

            $existing_ad_item = $wpdb->get_row($wpdb->prepare("SELECT id, 
                                                                    setupad_title, 
                                                                    setupad_type, 
                                                                    setupad_content,
                                                                    setupad_content_elements,
                                                                    setupad_image_url, 
                                                                    setupad_insertion_pages,
                                                                    setupad_position,
                                                                    setupad_block_position,
                                                                    setupad_multiple_block_position,
                                                                    setupad_device_selection,
                                                                    setupad_contents_alignment,
                                                                    setupad_alignment_css,
                                                                    setupad_lazy_loading FROM %5s WHERE id = %d", $table_name, $item['id']), ARRAY_A);

            if ($item == $existing_ad_item) {
                $result = true;
            } else {
                $item['setupad_creation_date'] = date( 'Y-m-d', current_time( 'timestamp', 0 ) );

                if ($item['setupad_position'] !== 'disabled') {
                    $item['setupad_status'] = true;
                } else {
                    $item['setupad_status'] = false;
                }

                $result = $wpdb->update($table_name, $item, array('id' => $item['id']),null, array('%d'));
            }

            //exit( var_dump( $wpdb->last_query ) );
            if ($result) {
                $message_create_ad_units = __('Ad unit was succesfully updated', 'setupad');
            } else {
                $notice = __('There was an error while updating ad unit', 'setupad');
            }
        }
    } else {
        // if $item_valid not true it contains error message(s)
        $notice = $item_valid;
    }
}

function setupad_validate_ad_entries($item)
{
    $messages = array();

    if (empty($item['setupad_title'])) $messages[] = __('Ad Title is required. Ad placement was not created.', 'setupad');
    if (empty($item['setupad_type'])) $messages[] = __('Ad Type is required. Ad placement was not created.', 'setupad');
    if (empty($item['setupad_position'])) $messages[] = __('Ad Position is required. Ad placement was not created.', 'setupad');
    if (!isset($item['setupad_device_selection'])) $messages[] = __('Device selection is required. Ad placement was not created.', 'setupad');

    if (isset($item['setupad_multiple_block_position']) && $item['setupad_multiple_block_position'] < 0) $messages[] = __('Every nth position can not be 0 or negative.', 'setupad');

    if (empty($messages)) return true;

    return implode('<br />', $messages);
}