<?php
global $wpdb;
$table_name = $wpdb->prefix . "setupad";
$setupad_db_version = '1.0.0';
$charset_collate = $wpdb->get_charset_collate();
$setupad_installed_ver = get_option( "setupad_db_version" );

if ( $setupad_installed_ver != $setupad_db_version ) {
    $sql = "CREATE TABLE " . $wpdb->prefix . "setupad (
        `id` int(11) NOT NULL AUTO_INCREMENT,
        `setupad_title` VARCHAR(400) NOT NULL,
        `setupad_type` VARCHAR(100) NOT NULL,
        `setupad_content` text NULL DEFAULT NULL,
        `setupad_content_elements` text NULL DEFAULT NULL,
        `setupad_image_url` text NULL DEFAULT NULL,
        `setupad_image_file_path` text NULL DEFAULT NULL,
        `setupad_insertion_pages` VARCHAR(100) NULL DEFAULT NULL,
        `setupad_position` VARCHAR(100) NOT NULL,
        `setupad_block_position` VARCHAR(50)  NOT NULL,
        `setupad_multiple_block_position` TINYINT,
        `setupad_device_selection` VARCHAR(10) NULL DEFAULT '0',   
        `setupad_contents_alignment` TINYINT  NOT NULL DEFAULT '0',
        `setupad_alignment_css` VARCHAR(500) NOT NULL DEFAULT '0',    
        `setupad_shortcode` VARCHAR(100) NOT NULL,
        `setupad_creation_date` datetime NOT NULL,
        `setupad_status` BIT(1) NOT NULL DEFAULT 0,
        `setupad_lazy_loading` ENUM('true', 'false') NOT NULL DEFAULT 'false',
        PRIMARY KEY  (id)
    ) $charset_collate;";

    $sql .= "CREATE TABLE ".$wpdb->prefix . "setupad_settings (
            `id` int(11) NOT NULL AUTO_INCREMENT,
            `setting_name` VARCHAR(100) NOT NULL,
            `setting_value` MEDIUMTEXT NOT NULL,
            PRIMARY KEY  (id)
    ) $charset_collate;";

    $sql .= "CREATE TABLE ".$wpdb->prefix . "setupad_ads_txt (
            `id` int(11) NOT NULL AUTO_INCREMENT,
            `adstxt_value` MEDIUMTEXT NOT NULL,
            PRIMARY KEY  (id)
    ) $charset_collate;";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
    update_option('setupad_db_version', $setupad_db_version);
}
