<?php
$related_articles_settings_key = array_search('related_articles', array_column($setupad_settings, 'setting_name'));
if ($related_articles_settings_key || $related_articles_settings_key === 0) {
    $related_articles_settings_arr = $setupad_settings[$related_articles_settings_key];
    $related_articles_settings = json_decode($related_articles_settings_arr['setting_value']);
    $related_articles_settings = (array) $related_articles_settings;
}
?>

<table style="width: 100%; margin: 0" class="form-table related-posts-tbl">
    <tbody>
    <tr class="enable-related-posts">
        <th scope="row">
            <label for="setupad_subtitle"><?php _e('Related Posts block', 'setupad')?></label>
        </th>

        <td>
            <div class="stpd-tooltip">
                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-info-circle-fill" viewBox="0 0 16 16">
                    <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                </svg>
                <span class="stpd-tooltiptext">Enable related posts block. It will be displayed after your post's content (After content).</span>
            </div>
        </td>

        <td>
            <label class="stpd-tgl-switch">
                <input id="setupad_related_articles" name="setupad_related_articles" type="checkbox" value="true"
                    <?php if(isset($related_articles_settings['setupad_related_articles']) && $related_articles_settings['setupad_related_articles']){
                        echo 'checked';
                    }; ?>
                >
                <span class="stpd-slider"></span>
            </label>
        </td>
    </tr>

    <tr class="related-posts-title">
        <th scope="row">
            <label for="setupad_subtitle"><?php _e('Related Posts title', 'setupad')?></label>
        </th>

        <td>
            <div class="stpd-tooltip">
                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-info-circle-fill" viewBox="0 0 16 16">
                    <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                </svg>
                <span class="stpd-tooltiptext">Write a custom related posts block title. Title will be displayed right before related posts block (This field is optional, if you leave it empty then no title will be displayed).</span>
            </div>
        </td>

        <td>
            <input id="setupad_related_posts_title" name="setupad_related_posts_title" type="text" placeholder="<?php _e('Related posts title', 'setupad')?>" value="<?php if (isset($related_articles_settings['setupad_related_posts_title'])) echo $related_articles_settings['setupad_related_posts_title'] ?>">
        </td>
    </tr>

    <tr class="post-category-selection">
        <th scope="row">
            <label for="setupad_subtitle"><?php _e('Select categories', 'setupad')?></label>
        </th>

        <td>
            <div class="stpd-tooltip">
                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-info-circle-fill" viewBox="0 0 16 16">
                    <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                </svg>
                <span class="stpd-tooltiptext">Select categories that you want to display in your related posts block (displays all categories you have created in WordPress).</span>
            </div>
        </td>

        <td>
            <select style="display: none" multiple multiselect-search="true" multiselect-hide-x="true" multiselect-max-items="3">
                <?php
                    $categories = get_categories( array(
                        'orderby' => 'name',
                        'order' => 'ASC'
                    ) );
                    usort($categories, function($a, $b) {return strcmp($b->count, $a->count);});

                    if (count($categories) != 0) {
                        foreach ($categories as $category){ ?>
                            <option
                            value="<?php echo esc_attr($category->term_id); ?>"
                            class="related-categories-arr"
                            <?php if(isset($related_articles_settings['related_articles_categories']) && in_array($category->term_id,explode(",",$related_articles_settings['related_articles_categories']))){
                                echo 'selected';
                            }; ?>
                            >
                                <?php echo (esc_textarea($category->name). ' (' . esc_textarea($category->count) . ')') ?>
                            </option>
                            <?php
                        }
                    };
                ?>
            </select>
            <input id="related_articles_categories" name="related_articles_categories" type="hidden"
                <?php if (isset($related_articles_settings['related_articles_categories']) && $related_articles_settings['related_articles_categories']) {
                    echo 'value="'. esc_attr($related_articles_settings['related_articles_categories']) . '"';
                }; ?>
            >
            <div class="multiselect-dropdown">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" class="" fill="none">
                    <path d="M9.16667 15.8333C12.8486 15.8333 15.8333 12.8486 15.8333 9.16667C15.8333 5.48477 12.8486 2.5 9.16667 2.5C5.48477 2.5 2.5 5.48477 2.5 9.16667C2.5 12.8486 5.48477 15.8333 9.16667 15.8333Z" stroke="#667085" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M17.5 17.5L13.875 13.875" stroke="#667085" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                </svg>
            </div>
        </td>
    </tr>

    <tr>
        <th scope="row">
            <label for="setupad_title"><?php _e('Select post count per category', 'setupad')?></label>
        </th>

        <td>
            <div class="stpd-tooltip">
                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-info-circle-fill" viewBox="0 0 16 16">
                    <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                </svg>
                <span class="stpd-tooltiptext">Select how many posts you want to display per each of your previously chosen category.</span>
            </div>
        </td>

        <td>
            <div class="single-dropdown" single>
                <div class="single-dropdown-list-wrapper" style="display: none;">
                    <div class="single-dropdown-list" style="height: 15rem;">
                        <?php $category_post_count = 0 ?>
                        <?php for($x = 2; $x <= 16; $x += 2){ ?>
                            <div <?php echo (isset($related_articles_settings['articles_per_category']) && $related_articles_settings['articles_per_category'] == $x) ? 'class="single-d-div checked"' : 'class="single-d-div"'; ?>>
                                <label class="single-d-label"><?php echo esc_textarea($x) ?></label>
                                <input class="single-d-input" type="radio" name="articles_per_category" value="<?php echo esc_textarea($x) ?>"

                                    <?php if (isset($related_articles_settings['articles_per_category']) && $related_articles_settings['articles_per_category'] == $x) {echo 'checked';} elseif (!isset($related_articles_settings['articles_per_category']) && 4 == $x) {echo 'checked';} $category_post_count = $x; ?>
                                >
                            </div>
                        <?php } ?>
                    </div>
                </div>
                <span class="optext"></span>
            </div>
        </td>
    </tr>

    <tr>
        <th scope="row">
            <label for="setupad_subtitle"><?php _e('Show category titles', 'setupad')?></label>
        </th>

        <td>
            <div class="stpd-tooltip">
                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-info-circle-fill" viewBox="0 0 16 16">
                    <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                </svg>
                <span class="stpd-tooltiptext">Enable to show category titles before their related posts.</span>
            </div>
        </td>

        <td>
            <label class="stpd-tgl-switch">
                <input id="setupad_related_posts_cat_title" name="setupad_related_posts_cat_title" type="checkbox" value="true"
                    <?php if (!isset($related_articles_settings['setupad_related_posts_cat_title']) || (isset($related_articles_settings['setupad_related_posts_cat_title']) && $related_articles_settings['setupad_related_posts_cat_title'])) {
                        echo 'checked';
                    }; ?>
                >
                <span class="stpd-slider"></span>
            </label>
        </td>
    </tr>

    <tr>
        <th scope="row">
            <label for="setupad_subtitle"><?php _e('Insert ads between categories', 'setupad')?></label>
        </th>

        <td>
            <div class="stpd-tooltip">
                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-info-circle-fill" viewBox="0 0 16 16">
                    <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                </svg>
                <span class="stpd-tooltiptext">Enable to insert custom ad code after each category block.</span>
            </div>
        </td>

        <td>
            <label class="stpd-tgl-switch">
                <input id="setupad_related_articles_ads" name="setupad_related_articles_ads" type="checkbox" value="true"
                    <?php if (isset($related_articles_settings['setupad_related_articles_ads']) && $related_articles_settings['setupad_related_articles_ads']) {
                        echo 'checked';
                    }; ?>
                >
                <span class="stpd-slider"></span>
            </label>
        </td>
    </tr>

    <tr id="rp-ad-code-block"
        <?php if (!isset($related_articles_settings['setupad_related_articles_ads']) || !$related_articles_settings['setupad_related_articles_ads']) {
            echo 'style="display: none;"';
        }; ?>
    >
        <th scope="row">
            <label for="setupad_subtitle"><?php _e('Ad code', 'setupad')?></label>
        </th>

        <td>
            <div class="stpd-tooltip">
                <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" fill="currentColor" class="bi bi-info-circle-fill" viewBox="0 0 16 16">
                    <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z"/>
                </svg>
                <span class="stpd-tooltiptext">Insert your third-party ad placement HTML or JS tags.</span>
            </div>
        </td>

        <td>
            <style type="text/css" media="screen">
                #editor {
                    position: absolute;
                    top: 0;
                    right: 0;
                    bottom: 0;
                    left: 0;
                }
            </style>
            <div style="max-width: 600px;position: relative; height: 300px;">
                <div id="editor"></div>
                <textarea id="editor-text" style="display: none;"><?php
                    if (isset($related_articles_settings['related_articles_ad_content']) && $related_articles_settings['related_articles_ad_content']) {
                        print stripslashes($related_articles_settings['related_articles_ad_content']);
                    }
                    ?>
                </textarea>
                <input name="related_articles_ad_content" type="hidden" id="editortext">
                <input name="setupad_content_elements" type="hidden" id="content_elements">
            </div>
            <script>
                var editor = ace.edit("editor");
                editor.renderer.setShowGutter(false);
                editor.setTheme("ace/theme/monokai");
                editor.session.setMode("ace/mode/html");
                editor.session.setUseWrapMode(true);
                document.getElementById('editor').style.fontSize='14px';

                <?php if (isset($related_articles_settings['related_articles_ad_content']) && $related_articles_settings['related_articles_ad_content']): ?>
                    editor.setValue(document.getElementById('editor-text').value, -1);
                <?php endif; ?>

                document.getElementById("form").onsubmit = function(evt) {
                    if (editor.getValue()) {
                        let editorDom = new DOMParser().parseFromString(editor.getValue(), 'text/html');
                        let editorContentChildren = editorDom.getElementsByTagName("*");
                        let editorChildNodes = {};

                        for (let i = 0; i < editorContentChildren.length; i++) {
                            let attrs = editorContentChildren[i].getAttributeNames();

                            if (!editorChildNodes[editorContentChildren[i].nodeName.toLowerCase()])
                                editorChildNodes[editorContentChildren[i].nodeName.toLowerCase()] = {};

                            if (attrs) {
                                let attrArray = {};
                                attrs.forEach(attr => {
                                    attrArray[attr] = [];

                                    if (!editorChildNodes[editorContentChildren[i].nodeName.toLowerCase()][attr])
                                        editorChildNodes[editorContentChildren[i].nodeName.toLowerCase()][attr] = [];
                                })
                            } else {
                                editorChildNodes[editorContentChildren[i].nodeName.toLowerCase()] = null;
                            }
                        }
                        document.getElementById("content_elements").value = JSON.stringify(editorChildNodes);
                    }
                    document.getElementById("editortext").value = JSON.stringify(editor.getValue());

                    let relatedPostCategories = [];
                    document.querySelectorAll('.related-categories-arr').forEach(element => {
                        if (element.selected) {
                            relatedPostCategories.push(element.value);
                        }
                    })
                    document.getElementById("related_articles_categories").value = relatedPostCategories.join(',');
                }
            </script>
        </td>
    </tr>
    </tbody>
</table>
