<?php

function setupad_create_ad_unit_tab(){
    global $wpdb;
    $table_name = $wpdb->prefix . 'setupad';

    $message = '';
    $notice = '';

    // this is default $item which will be used for new records
    $item = array(
        'id' => 0,
        'setupad_title' => '',
        'setupad_type' => '',
        'setupad_content' => null,
        'setupad_image_url' => null,
        'setupad_insertion_pages' => null,
        'setupad_position' => '',
        'setupad_block_position' => '',
        'setupad_multiple_block_position' => '',
        'setupad_device_selection' => '',
        'setupad_contents_alignment' => '',
        'setupad_alignment_css' => '',
        'setupad_lazy_loading' => 'false',
    );
    if (isset($_REQUEST['id'])) {
        $item = $wpdb->get_row($wpdb->prepare("SELECT * FROM %5s WHERE id = %d", $table_name, sanitize_text_field($_REQUEST['id'])), ARRAY_A);
        if (!$item) {
            $notice = __('Item not found', 'setupad');
        }
    }

    ?>
    <div class="wrap">
        <?php
        if (isset($_REQUEST['id'])) {
            setupad_navigation_menu();
        } else {
            setupad_navigation_menu('add-new');
        }
        ?>

        <?php if (!empty($notice)): ?>
            <div id="notice" class="error"><p><?php echo esc_html($notice) ?></p></div>
        <?php endif;?>
        <?php if (!empty($message)): ?>
            <div id="message" class="updated"><p><?php echo esc_html($message) ?></p></div>
        <?php endif;?>

        <div class="stpd-tab-contents create-ad-unit-contents">
            <form id="form" action="<?php echo esc_url(get_admin_url(get_current_blog_id(), 'admin.php?page=setupad'));?>" AutoComplete=off method="POST" enctype="multipart/form-data">
                <input type="hidden" name="nonce" value="<?php echo esc_attr(wp_create_nonce('create-new-ad')) ?>"/>

                <input type="hidden" name="id" value="<?php echo esc_attr($item['id']) ?>"/>

                <div id="post-body">
                    <?php include_once(SETUPAD_BASE_PATH . 'admin/includes/forms/setupad-create-ad-unit-form.php'); ?>

                    <div class="stpd-btn-row">
                        <input type="submit" value="<?php _e('Save Ad Unit', 'setupad')?>" id="submit" class="stpd-save-btn">
                        <?php if (isset($item['id']) && $item['id']): ?>
                            <a href="<?php echo esc_url('?page=setupad&action=delete&id=' . $item["id"]) ?>"class="stpd-delete-btn"><?php _e('Delete ad unit', 'setupad') ?></a>
                        <?php endif; ?>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <?php
}

function setupad_form_meta_box_handler($item)
{
    include(SETUPAD_BASE_PATH . 'admin/includes/forms/setupad-create-ad-unit-form.php');
}