<?php

function setupad_related_posts_tab()
{
    global $wpdb;
    $message = '';
    $errors = [];
    $settings_table_name = $wpdb->prefix . 'setupad_settings';

    if (isset($_REQUEST['nonce']) && wp_verify_nonce($_REQUEST['nonce'], basename(__FILE__))) {
        $setupad_settings = [
            'setupad_related_articles' => (isset($_POST['setupad_related_articles'])) ? rest_sanitize_boolean($_POST['setupad_related_articles']) : false,
            'setupad_related_posts_title' => (isset($_POST['setupad_related_posts_title'])) ? sanitize_text_field($_POST['setupad_related_posts_title']) : '',
            'related_articles_categories' => sanitize_text_field($_POST['related_articles_categories']),
            'articles_per_category' => sanitize_text_field($_POST['articles_per_category']),
            'setupad_related_posts_cat_title' => (isset($_POST['setupad_related_posts_cat_title'])) ? rest_sanitize_boolean($_POST['setupad_related_posts_cat_title']) : false,
            'setupad_related_articles_ads' => (isset($_POST['setupad_related_articles_ads'])) ? rest_sanitize_boolean($_POST['setupad_related_articles_ads']) : false,
            'setupad_content_elements' => (isset($_POST['setupad_content_elements'])) ? sanitize_text_field($_POST['setupad_content_elements']) : '',
        ];


        if ($setupad_settings['setupad_content_elements'] && isset($_POST['related_articles_ad_content'])) {
            $setupad_settings['related_articles_ad_content'] = wp_kses(json_decode(stripcslashes($_POST['related_articles_ad_content'])), json_decode(stripcslashes($setupad_settings['setupad_content_elements']), true));
            $setupad_settings['related_articles_ad_content'] = html_entity_decode($setupad_settings['related_articles_ad_content']);
        } else {
            $setupad_settings['related_articles_ad_content'] = '';
        }

        $related_articles = array(  'setupad_related_articles' => $setupad_settings['setupad_related_articles'],
                                    'setupad_related_posts_title' => $setupad_settings['setupad_related_posts_title'],
                                    'related_articles_categories' => $setupad_settings['related_articles_categories'],
                                    'articles_per_category' => $setupad_settings['articles_per_category'],
                                    'setupad_related_posts_cat_title' => $setupad_settings['setupad_related_posts_cat_title'],
                                    'setupad_related_articles_ads' => $setupad_settings['setupad_related_articles_ads'],
                                    'setupad_content_elements' => $setupad_settings['setupad_content_elements'],
                                    'related_articles_ad_content' => $setupad_settings['related_articles_ad_content']);
        $related_articles = json_encode($related_articles);

        $related_articles_db = $wpdb->get_row($wpdb->prepare("SELECT * FROM %5s WHERE setting_name = 'related_articles'", $settings_table_name), ARRAY_A);
        if (isset($related_articles_db) && $related_articles_db['setting_value'] == $related_articles) {
            array_push($errors, 1);
        } else {
            if ($related_articles_db){
                array_push($errors, $wpdb->update($settings_table_name, array('setting_name' => 'related_articles',
                    'setting_value' => $related_articles),
                    array('ID' => $related_articles_db['id'])));
            } else {
                array_push($errors, $result_1 = $wpdb->insert($settings_table_name, array('setting_name' => 'related_articles',
                    'setting_value' => $related_articles)));
            }
        }

        if (in_array(0,$errors)) {
            $notice = __('There was an error while updating settings');
        } else {
            $message = __('Settings have been updated succesfully');
        }

        $setupad_settings=array(
            array('setting_name'=>'related_articles',
                'setting_value'=>$related_articles)
        );
    } else {
        // If settings already exist we populate fields with them if not we update database with default settings and use those
        $setupad_settings = $wpdb->get_results($wpdb->prepare("SELECT * FROM %5s", $settings_table_name), ARRAY_A);
    }

    // here we adding our custom meta box
    ?>
    <div class="wrap">
        <?php setupad_navigation_menu('related-posts'); ?>

        <?php if (!empty($notice)): ?>
            <div id="notice" class="error"><p><?php echo esc_html($notice) ?></p></div>
        <?php endif; ?>
        <?php if (!empty($message)): ?>
            <div id="message" class="updated"><p><?php echo esc_html($message) ?></p></div>
        <?php endif; ?>

        <div class="stpd-tab-contents related-posts-contents">
            <form id="form" method="POST" enctype="multipart/form-data">
                <input type="hidden" name="nonce" value="<?php echo esc_attr(wp_create_nonce(basename(__FILE__))) ?>"/>

                <div id="post-body">
                    <div id="post-body-content">
                        <?php include_once(SETUPAD_BASE_PATH . 'admin/includes/forms/setupad-related-posts-form.php'); ?>
                        <input type="submit" value="<?php _e('Save settings', 'setupad_settings') ?>" id="submit"
                               class="stpd-save-btn">
                    </div>
                </div>
            </form>
        </div>
    </div>

    <?php
}

function setupad_settings_form_meta_box_handler($setupad_settings)
{
    include(SETUPAD_BASE_PATH . 'admin/includes/forms/setupad-related-posts-form.php');
}