<?php
include_once(SETUPAD_BASE_PATH . "public/includes/mobile-detect/MobileDetect.php");

function setupad_page_check() {
    $loop = 0;

    if ( is_front_page ()) {
        $loop = 'homepage';
    } elseif ( is_single() ) {
        $loop = 'post_page';
    } elseif ( is_category() ) {
        $loop = 'category_page';
    } elseif (is_page()) {
        $loop = 'static_page';
    } elseif ( is_archive() || (is_home () && !is_front_page ())) {
        $loop = 'archive_page';
    } elseif ( is_search() ) {
        $loop = 'search_page';
    } elseif ( is_404() ) {
        $loop = '404';
    }

    return $loop;
}

function setupad_get_ad_contents($ad_row) {
    $adContents = '';

    json_decode(stripcslashes($ad_row->setupad_content));
    if (json_last_error() === JSON_ERROR_NONE) {
        $ad_row->setupad_content = json_decode(stripcslashes($ad_row->setupad_content));
    }

    // lazy load content if needed
    if ($ad_row->setupad_lazy_loading === 'true'){
        $image_default = "<div><img src='".$ad_row->setupad_image_url."' /></div>";
        $image = setupad_lazy_load($image_default, rand(0, 100000) );

        $ad_content = setupad_lazy_load($ad_row->setupad_content, rand(0, 100000) );
    } else {
        $image = "<div><img src='".$ad_row->setupad_image_url."' /></div>";
        $ad_content = $ad_row->setupad_content;
    };

    if ($ad_row->setupad_type == "images") {
        $adContents .= $image;
    } else {
        if(!empty($ad_row->setupad_target_page_url)) {
            $adContents .= "<div>".$ad_content."</div>";
        } else $adContents .= $ad_content;
    }

    if ($ad_row->setupad_contents_alignment && $ad_row->setupad_alignment_css) {
        $adContents = "<div style='". stripslashes($ad_row->setupad_alignment_css) ."'>" . $adContents . "</div>";
    }

    $device_selection_array = [];
    if ($ad_row->setupad_device_selection) $device_selection_array = explode(',', $ad_row->setupad_device_selection);

    if (in_array(setupad_server_side_mobile_detection(), $device_selection_array) || !$ad_row->setupad_device_selection)
        return $adContents;
    else
        return false;
}

function setupad_get_positions($position, $reformat_to_array_positions, $return_as_array) {
    $positions = array ();

    if (is_numeric ($position)) {
        if (!$position || $position < 0) {
            $position = 0;
        }

        if ($return_as_array) {
            if ($reformat_to_array_positions)
                $positions [] = $position - 1;
            else
                $positions [] = $position;
        } else {
            return $position;
        }
    } else if (strpos ($position, ',') !== false) {
        $exploded_positions = explode(',', str_replace(' ', '', $position));

        foreach ($exploded_positions as $exploded_position) {
            if (is_numeric($exploded_position)) {
                if (!$position || $position < 0) {
                    $position = 0;
                }

                if ($return_as_array) {
                    if ($reformat_to_array_positions)
                        $positions [] = $exploded_position - 1;
                    else
                        $positions [] = $exploded_position;
                } else {
                    return $exploded_position;
                }

            }
        }
    }

    return $positions;
}

function setupad_server_side_mobile_detection() {
    $detect = new \Detection\MobileDetect;

    //tablet
    if( $detect->isTablet() ) return 3;

    //mobile only
    if( $detect->isMobile() && !$detect->isTablet() ) return 2;

    //desktop
    return 1;
}