<?php

function setupad_enable_related_articles($content){
    if(is_single() && is_main_query()) {
        global $wpdb;
        $settings_table_name = $wpdb->prefix . 'setupad_settings';
        $setupad_settings = $wpdb->get_row($wpdb->prepare("SELECT * FROM %5s WHERE setting_name='related_articles'", $settings_table_name), ARRAY_A);
        if (!$setupad_settings) return $content;
        $setupad_settings = json_decode($setupad_settings['setting_value']);
        $setupad_settings = (array) $setupad_settings;
        if (!$setupad_settings['setupad_related_articles']) return $content;
        if (!$setupad_settings['related_articles_categories']) return $content;

        $after = '<div class="stpd-related-posts">';
        $after .= '<style>
                    #related_posts h3 {
                        margin-bottom: 20px;
                    }

                    .relatedposts {
                        clear: both;
                        display: flex;
                        flex-wrap: wrap;
                        gap: 10px;
                    }  
            
                    @media only screen and (max-width: 767px) {
                        .relatedthumb {
                            height: 170px !important;
                        }
            
                        .relatedbackground {
                            height: 110px !important;
                        }
            
                        .relatedtitle {
                            overflow: hidden;
                            font-weight: bold;
                            font-size: 13px !important;
                            padding: 5px;
                            line-height: 15px !important;
                        }
                    }
            
                    .relatedthumb {
                        flex: 1 1 45%;
                        min-width: 0;
                        height: 270px;
                    }
            
                    .relatedtitle {
                        font-weight: bold;
                        font-size: 17px;
                        padding: 5px;
                        line-height: 22px;
                        text-align: center;
                    }
            
                    .relatedposts a, .relatedthumb a {
                        color: #000000;
                        text-decoration: none !important;
                    }
                    .relatedposts h4 {
                        margin-bottom: 0;
                        flex: 1 1 100%;
                    }
                </style>';

        if ($setupad_settings['setupad_related_posts_title'])
            $after .= "<div id=\"related_posts\"><h3>" . $setupad_settings['setupad_related_posts_title'] . "</h3></div>";

        if (isset($setupad_settings['related_articles_categories'])) {
            $article_categories = explode( ',', $setupad_settings['related_articles_categories'] );
            foreach ($article_categories as &$value) {
                $after .= setupad_get_articles_from_category($value, $setupad_settings);
            }
        }

        $content .= $after;

        wp_reset_postdata();
    }

    return $content;
}
add_filter( 'the_content', 'setupad_enable_related_articles', 99 );

function setupad_get_articles_from_category($id, $setupad_settings) {
    $args     = array(
        'cat'              => $id,
        'posts_per_page'   => $setupad_settings['articles_per_category'], // Number of related posts that will be displayed.
        'ignore_sticky_posts' => 1,
        'orderby'          => 'DESC' // Sort posts by date
    );
    global $post;
    $related_category_content = null;
    $my_query = new wp_query($args);

    if ($my_query->have_posts()) {
        $related_category_content .= "<div class=\"relatedposts\">";

        if ($setupad_settings['setupad_related_posts_cat_title'])
            $related_category_content .= "<h4><a href='" . get_category_link($id) . "'>" . get_cat_name($id) . "</a></h4>";

        while ( $my_query->have_posts() ) {
            $my_query->the_post();
            $trimmed_title = strlen($post->post_title) > 35 ? substr($post->post_title,0,35)."..." : $post->post_title;

            ?>
            <?php if (has_post_thumbnail()) { ?>
                <?php $image_url = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'medium');

                $related_category_content .= "<div class=\"relatedthumb\">
                                    <a href=\"" . get_permalink() . "\" rel=\"bookmark\" title=\"" . $post->post_title . "\">
                                        <div class=\"relatedbackground\" style=\"background: url('" . $image_url[0] . "'); height: 200px;     background-size: contain;
    background-repeat: no-repeat;
    background-position: center;\"></div>
                                        <div class=\"relatedtitle\">" . $trimmed_title . "</div>
                                    </a>
                                </div>";
            } else {
                $related_category_content .= "<div class=\"relatedthumb\">
                                        <a href=\"" . get_permalink() . "\" rel=\"bookmark\" title=\"" . $post->post_title . "\">
                                            <img src=\"" . get_post_meta($post->ID, 'Image', true) . "\" width=\"196\" height=\"110\"
                                                 alt=\"" . $post->post_title  . "\">
                                            " . $trimmed_title . "</a>
                                    </div>";
            }
        }
        $related_category_content .= "</div>";

        if (isset($setupad_settings['setupad_related_articles_ads']) && $setupad_settings['setupad_related_articles_ads'] && $setupad_settings['related_articles_ad_content']){
            $related_category_content .= "<div style='text-align: center; margin: 20px 0px; clear: both;'> "
                . stripslashes($setupad_settings['related_articles_ad_content']) .
                "</div>";
        };

    }
    return $related_category_content;
    wp_reset_query();
}